### Class

# Ide SubprocessLauncher

#### Description

    class Ide.SubprocessLauncher : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_subprocess_launcher_new

No description available.

#### Instance methods

###### ide_subprocess_launcher_append_path

No description available.

###### ide_subprocess_launcher_get_arg

No description available.

###### ide_subprocess_launcher_get_argv

No description available.

###### ide_subprocess_launcher_get_clear_env

No description available.

###### ide_subprocess_launcher_get_cwd

No description available.

###### ide_subprocess_launcher_get_environ

No description available.

###### ide_subprocess_launcher_get_flags

No description available.

###### ide_subprocess_launcher_get_max_fd

Gets the hightest number of FD that has been mapped into the subprocess launcher.

Available since: 3.34

###### ide_subprocess_launcher_get_needs_tty

No description available.

###### ide_subprocess_launcher_get_run_on_host

Gets if the process should be executed on the host system. This might be useful for situations where running in a contained environment is not sufficient to perform the given task.

Available since: 3.32

###### ide_subprocess_launcher_getenv

No description available.

###### ide_subprocess_launcher_insert_argv

No description available.

###### ide_subprocess_launcher_join_args_for_sh_c

No description available.

###### ide_subprocess_launcher_overlay_environment

No description available.

###### ide_subprocess_launcher_pop_argv

No description available.

###### ide_subprocess_launcher_prepend_path

No description available.

###### ide_subprocess_launcher_push_args

This function is semantically identical to calling `ide_subprocess_launcher_push_argv()` for each element of `args`.

Available since: 3.32

###### ide_subprocess_launcher_push_argv

No description available.

###### ide_subprocess_launcher_replace_argv

No description available.

###### ide_subprocess_launcher_set_argv

Clears the previous arguments and copies `args` as the new argument array for the subprocess.

###### ide_subprocess_launcher_set_clear_env

No description available.

###### ide_subprocess_launcher_set_cwd

No description available.

###### ide_subprocess_launcher_set_environ

Replace the environment variables by a new list of variables.

Available since: 3.32

###### ide_subprocess_launcher_set_flags

No description available.

###### ide_subprocess_launcher_set_run_on_host

Sets the `IdeSubprocessLauncher:run-on-host` property. See `ide_subprocess_launcher_get_run_on_host()` for more information.

Available since: 3.32

###### ide_subprocess_launcher_set_stdout_file_path

No description available.

###### ide_subprocess_launcher_setenv

No description available.

###### ide_subprocess_launcher_spawn

Synchronously spawn a process using the internal state.

Available since: 3.32

###### ide_subprocess_launcher_take_fd

No description available.

###### ide_subprocess_launcher_take_stderr_fd

No description available.

###### ide_subprocess_launcher_take_stdin_fd

No description available.

###### ide_subprocess_launcher_take_stdout_fd

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.SubprocessLauncher:clean-env

No description available.

###### Ide.SubprocessLauncher:cwd

No description available.

###### Ide.SubprocessLauncher:environ

No description available.

###### Ide.SubprocessLauncher:flags

No description available.

###### Ide.SubprocessLauncher:run-on-host

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSubprocessLauncherClass {
      GObjectClass parent_class;
      IdeSubprocess* (* spawn) (
        IdeSubprocessLauncher* self,
        GCancellable* cancellable,
        GError** error
      );

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`spawn` |
    IdeSubprocess* (* spawn) (
        IdeSubprocessLauncher* self,
        GCancellable* cancellable,
        GError** error
      )
| No description available.

#### Virtual methods

###### Ide.SubprocessLauncherClass.spawn

Synchronously spawn a process using the internal state.

Available since: 3.32